WarpBuild LogoWarpBuild Docs
Runners

GET /runners

Lists all runner sets for the authenticated organization. Runner sets define the configuration templates for runner instances that will be provisioned when CI/CD jobs request matching labels. You can filter the results by image, provider, VCS integration, and other criteria using query parameters.

GET
/runners
Authorization<token>

In: header

Query Parameters

image?string

Image

ids?array<string>

list of runner set id's

provider_id?string

provider kind id

vcs_integration_id?string

Deprecated: ignored — runner sets are organization-global

active?boolean

active

labels?array<string>

labels

Response Body

application/json

application/json

curl -X GET "https://api.warpbuild.com/api/v1/runners"
[
  {
    "active": true,
    "configuration": {
      "byoc_sku": {
        "arch": "x64",
        "imdsv2_required": true,
        "instance_types": [
          "m5.xlarge",
          "m5.2xlarge"
        ],
        "is_public": false,
        "network_tier": "STANDARD",
        "role_arn": "arn:aws:iam::123456789012:role/WarpBuildRole"
      },
      "capacity_type": "ondemand",
      "image": "ubuntu-2404",
      "sku": "warp-ubuntu-2404-x64-4x",
      "storage": {
        "disk_type": "pd-balanced",
        "iops": 0,
        "performance_tier": "P15",
        "size": 0,
        "throughput": 0,
        "tier": "low"
      }
    },
    "created_at": "string",
    "id": "runner_abc123",
    "labels": [
      "warp-ubuntu-2404-x64-4x"
    ],
    "meta": {},
    "name": "my-ubuntu-runner",
    "organization_id": "org_abc123",
    "provider_id": "cloud_xyz789",
    "stock_runner_id": "stock_xyz",
    "updated_at": "string",
    "vcs_integration_id": "vcs_abc123"
  }
]
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}